summaryrefslogtreecommitdiff
path: root/desktop/icon-naming-utils/icon-naming-utils.SlackBuild
diff options
context:
space:
mode:
authorMichael Wagner <lapinours@web.de>2010-05-11 14:03:46 +0200
committerMichiel van Wessem <michiel@slackbuilds.org>2010-05-11 14:03:46 +0200
commitbd0040f376fec28cc1abf50b0a6b0031aff71fbf (patch)
tree3ce9f98ddab72657945c388ba0ba9c2bdeefe9b7 /desktop/icon-naming-utils/icon-naming-utils.SlackBuild
parent9eaa3fe75e5dc4836461ebc68ceac848121d0d01 (diff)
downloadslackbuilds-bd0040f376fec28cc1abf50b0a6b0031aff71fbf.tar.gz
desktop/icon-naming-utils: Initial import
Diffstat (limited to 'desktop/icon-naming-utils/icon-naming-utils.SlackBuild')
-rw-r--r--desktop/icon-naming-utils/icon-naming-utils.SlackBuild78
1 files changed, 78 insertions, 0 deletions
diff --git a/desktop/icon-naming-utils/icon-naming-utils.SlackBuild b/desktop/icon-naming-utils/icon-naming-utils.SlackBuild
new file mode 100644
index 0000000000..553459cf11
--- /dev/null
+++ b/desktop/icon-naming-utils/icon-naming-utils.SlackBuild
@@ -0,0 +1,78 @@
+#!/bin/sh
+#
+# Slackware Build Script for icon-naming-utils
+# (C) 2007 Michael Wagner <lapinours@web.de>
+#
+# This program is free software; you can redistribute it and/or modify it
+# under the terms of the GNU General Public License as published by the
+# Free Software Foundation; either version 2 of the License, or (at your
+# option) any later version.
+#
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+# Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+#
+
+# Modified by the SlackBuilds.org project
+
+set -e
+
+PRGNAM=icon-naming-utils
+VERSION=0.8.2
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="AUTHORS COPYING ChangeLog INSTALL README"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root . || true
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var/lib \
+ --program-prefix="" \
+ || exit 1
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# Someone is smoking some good stuff... let's put the pkgconfig directory
+# where it belongs
+mkdir -p $PKG/usr/lib
+mv $PKG/usr/share/pkgconfig $PKG/usr/lib
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+chmod 0644 $PKG/usr/doc/$PRGNAM-$VERSION/*
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz